// -*-C++-*-
/*!
 * @file  com_ctSVC_impl.cpp
 * @brief Service implementation code of com_ct.idl
 *
 */

#include "com_ctSVC_impl.h"

/*
 * Example implementational code for IDL interface ComCt
 */
ComCtSVC_impl::ComCtSVC_impl()
{
  int i,j;
  for(i=0;i<3;i++) {
    for(j=0;j<3;j++) {
      trans_frm.mtr[i][j]=0.0;
    }
    trans_frm.vtr[i] = 0.0;
    trans_frm.mtr[i][i]=1.0;
  }
}


ComCtSVC_impl::~ComCtSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void ComCtSVC_impl::set_trans(const Frame& trans)
{
  int i,j;
  for(i=0;i<3;i++) {
    for(j=0;j<3;j++) {
      trans_frm.mtr[i][j]=trans.mat[i][j];
    }
    trans_frm.vtr[i] = trans.pos[i];
  }
}



// End of example implementational code



