#!/bin/sh

rtc-template -bcxx \
    --module-name=jinv --module-type='DataFlowComponent' \
    --module-desc='calc inv of Jacobian' \
    --module-version=1.0 --module-vendor='Takashi Suehiro, AIST' \
    --module-category=jinv \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 --inport=y_jacob:TimedDoubleSeq \
    --outport=vel:TimedDoubleSeq \
    --config=n_size:int:7 --config=m_max:int:100

