#!/bin/sh

rtc-template -bcxx \
    --module-name=mixer --module-type='DataFlowComponent' \
    --module-desc='mix frame-vel and jacobian' \
    --module-version=1.0 --module-vendor='Takashi Suehiro, AIST' \
    --module-category=mixer \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 --inport=vel:TimedDoubleSeq \
    --inport=jacob:TimedDoubleSeq \
    --outport=j_list:TimedDoubleSeq

