#!/bin/sh

rtc-template -bcxx \
    --module-name=pa10vel --module-type='DataFlowComponent' \
    --module-desc='velocity controlled pa10 arm' \
    --module-version=1.0 --module-vendor='Takashi Suehiro, AIST' \
    --module-category=vel_7dof \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 \
    --inport=vel:TimedDoubleSeq \
    --outport=th:TimedDoubleSeq

